---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libpopframe004.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54650, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56590, symBinAddr: 0xE270, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56980, symBinAddr: 0xE660, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x57920, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57930, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54160, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54164, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54168, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x542C0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54378, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5437C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54380, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54384, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54388, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54390, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x543A8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x543B0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x543B8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x543C0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x543C8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54410, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL16watch_ev_monitor, symObjAddr: 0x54418, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9106, offset: 0x9106, size: 0x8, addend: 0x0, symName: __ZL8watch_ev, symObjAddr: 0x54420, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL6gen_ev, symObjAddr: 0x54424, symBinAddr: 0xC1C4, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x54428, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL7popDone, symObjAddr: 0x54438, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9178, offset: 0x9178, size: 0x8, addend: 0x0, symName: __ZL10tot_result, symObjAddr: 0x5443C, symBinAddr: 0xC1DC, symSize: 0x0 }
  - { offsetInCU: 0x9198, offset: 0x9198, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x54440, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x91EA, offset: 0x91EA, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3780, symSize: 0x80 }
  - { offsetInCU: 0x927F, offset: 0x927F, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x36D0, symSize: 0xB0 }
  - { offsetInCU: 0x92DA, offset: 0x92DA, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x35D0, symSize: 0x100 }
  - { offsetInCU: 0x956D, offset: 0x956D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3800, symSize: 0x220 }
  - { offsetInCU: 0x9752, offset: 0x9752, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3A20, symSize: 0xA0 }
  - { offsetInCU: 0x9805, offset: 0x9805, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3AC0, symSize: 0x110 }
  - { offsetInCU: 0x98FB, offset: 0x98FB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3BD0, symSize: 0x150 }
  - { offsetInCU: 0x9AA6, offset: 0x9AA6, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3D20, symSize: 0x30 }
  - { offsetInCU: 0x9BB3, offset: 0x9BB3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3D50, symSize: 0x150 }
  - { offsetInCU: 0x9DAB, offset: 0x9DAB, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3EA0, symSize: 0x160 }
  - { offsetInCU: 0x9F37, offset: 0x9F37, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4000, symSize: 0x1B0 }
  - { offsetInCU: 0xA152, offset: 0xA152, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x41B0, symSize: 0xA0 }
  - { offsetInCU: 0xA24D, offset: 0xA24D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4250, symSize: 0x20 }
  - { offsetInCU: 0xA284, offset: 0xA284, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4270, symSize: 0x20 }
  - { offsetInCU: 0xA2BB, offset: 0xA2BB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4290, symSize: 0x20 }
  - { offsetInCU: 0xA4AE, offset: 0xA4AE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x42B0, symSize: 0x1A0 }
  - { offsetInCU: 0xA7D4, offset: 0xA7D4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4450, symSize: 0x80 }
  - { offsetInCU: 0xA89D, offset: 0xA89D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x44D0, symSize: 0x6A0 }
  - { offsetInCU: 0xB432, offset: 0xB432, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAAF0, symBinAddr: 0x60B0, symSize: 0xB0 }
  - { offsetInCU: 0xB4A9, offset: 0xB4A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4B70, symSize: 0x70 }
  - { offsetInCU: 0xB59D, offset: 0xB59D, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4BE0, symSize: 0xA0 }
  - { offsetInCU: 0xB6F4, offset: 0xB6F4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4C80, symSize: 0x40 }
  - { offsetInCU: 0xB7EA, offset: 0xB7EA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4CC0, symSize: 0x2B0 }
  - { offsetInCU: 0xBB90, offset: 0xBB90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4F70, symSize: 0xC0 }
  - { offsetInCU: 0xBCD6, offset: 0xBCD6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5030, symSize: 0x10 }
  - { offsetInCU: 0xBD98, offset: 0xBD98, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5040, symSize: 0x220 }
  - { offsetInCU: 0xC095, offset: 0xC095, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5260, symSize: 0x10 }
  - { offsetInCU: 0xC0EB, offset: 0xC0EB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5270, symSize: 0x1A0 }
  - { offsetInCU: 0xC2FD, offset: 0xC2FD, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DB0, symBinAddr: 0x5410, symSize: 0x10 }
  - { offsetInCU: 0xC353, offset: 0xC353, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0x9DC0, symBinAddr: 0x5420, symSize: 0x60 }
  - { offsetInCU: 0xC3FC, offset: 0xC3FC, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0x9E20, symBinAddr: 0x5480, symSize: 0x60 }
  - { offsetInCU: 0xC4B0, offset: 0xC4B0, size: 0x8, addend: 0x0, symName: _suspThread, symObjAddr: 0x9E80, symBinAddr: 0x54E0, symSize: 0xA0 }
  - { offsetInCU: 0xC544, offset: 0xC544, size: 0x8, addend: 0x0, symName: _resThread, symObjAddr: 0x9F20, symBinAddr: 0x5580, symSize: 0xA0 }
  - { offsetInCU: 0xC83D, offset: 0xC83D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe004_doPopFrame, symObjAddr: 0x9FC0, symBinAddr: 0x5620, symSize: 0x920 }
  - { offsetInCU: 0xD66C, offset: 0xD66C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe004_getResult, symObjAddr: 0xA8E0, symBinAddr: 0x5F40, symSize: 0x10 }
  - { offsetInCU: 0xD6C3, offset: 0xD6C3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0xA990, symBinAddr: 0x5F50, symSize: 0xB0 }
  - { offsetInCU: 0xD770, offset: 0xD770, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe004_nativeMeth, symObjAddr: 0xAA40, symBinAddr: 0x6000, symSize: 0xB0 }
  - { offsetInCU: 0xD8B0, offset: 0xD8B0, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xABA0, symBinAddr: 0x6160, symSize: 0x36A }
...
